Info about QT Installer Framework, how to build ?



  • Hi all,
    I'm getting crazy on this one

    http://doc-snapshot.qt-project.org/qtifw-1.3/ifw-getting-started.html

    on the section: Configuring Qt for Linux and Mac OS X
    I read…
    configure -opensource -release -static -qt-zlib -qt-libtiff -qt-libpng -qt-libmng -qt-libjpeg -no-phonon -no-dbus -no-opengl -no-qt3support -no-webkit -no-xmlpatterns -no-svg -nomake examples -nomake demos

    but, where is the configure command ???

    Thank you
    Amedeo


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    Might be a bit short but: it's in Qt sources



  • As SGaist already mentioned, that configure command is part of the Qt sources and accordingly the command line you quoted is for building Qt before building the Qt Installer Framework.

    That being said, Version 1.3 of the Qt Installer framework is not exactly the newest and you might find that newer versions require newer Qt versions built with different configure parameters. For example, the latest git clone i tried needed a Qt >= 5.3.0 AND that Qt had to be explicitely configured with -developer-build so as to export a couple classes (e.g. QFSFileEngine) that are private since Qt5


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.